/***************************************************************************
 *   $Id: shutterlhpil.cpp,v 1.1.1.1.2.2 2017-12-21 13:38:13 giacomo Exp $
 *                                                                         *
 *   Copyright (C) 2009 by Fabio Asnicar  fabio.asnicar@elettra.trieste.it *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "shutterlhpil.h"
#include <QTWatcher>

Shutterlhpil::Shutterlhpil(QWidget *parent) : QWidget(parent) {
	Config* config= Config::instance();
	QColor orange=QColor(249,186,7);
	QColor white=QColor(255,255,255);
	//config->setStateColor(Tango::OPEN,white);
	//config->setStateColor(Tango::CLOSE,orange);
	config->setStateColor(Tango::OPEN,QColor(93, 234, 78));
	config->setStateColor(Tango::CLOSE,QColor(240, 240, 0));
	ui.setupUi(this);

	ui.shutter_stat_lh->setEnumDisplay(0, 0, QString("MOVING"), QColor(120, 120, 255));
	ui.shutter_stat_lh->setEnumDisplay(0, 1, QString("CLOSED"), QColor(240, 240, 0));
	ui.shutter_stat_lh->setEnumDisplay(0, 2, QString("OPEN"), QColor(93, 234, 78));
	ui.shutter_stat_lh->setEnumDisplay(0, 3, QString("FAULT"), QColor(220, 0, 0));

	ui.attenuator_stat_lh->setEnumDisplay(0, 0, QString("MOVING"), QColor(120, 120, 255));
	ui.attenuator_stat_lh->setEnumDisplay(0, 1, QString("INSERTED"), QColor(250, 250, 0));
	ui.attenuator_stat_lh->setEnumDisplay(0, 2, QString("REMOVED"), QColor(93, 234, 78));
	ui.attenuator_stat_lh->setEnumDisplay(0, 3, QString("FAULT"), QColor(220, 0, 0));

}



Shutterlhpil::~Shutterlhpil() {
}

void Shutterlhpil::usage() {
	cout << "Usage:" << endl;
	cout << " shutterlhpil device" << endl << endl;
}



